﻿using System;

namespace TVSharp
{
    public class SettingsMemoryEntry
    {
        private long _frequency;
        private int _pictureHeight;
        private int _pictureWidth;
        private float _detectorLevel;
        private int _frequencyCorrection;
        private int _contrast;
        private int _brightnes;

        public SettingsMemoryEntry() { }

        public SettingsMemoryEntry(SettingsMemoryEntry memoryEntry)
        {
            _pictureWidth = memoryEntry._pictureWidth;
            _frequencyCorrection = memoryEntry._frequencyCorrection;
            _pictureHeight = memoryEntry._pictureHeight;
            _frequency = memoryEntry._frequency;
            _detectorLevel = memoryEntry._detectorLevel;
            _brightnes = memoryEntry._brightnes;
            _contrast = memoryEntry._contrast;
        }

        public int Brightnes
        {
            get { return _brightnes; }
            set { _brightnes = value; }
        }
               
        public int PictureWidth
        {
            get { return _pictureWidth; }
            set { _pictureWidth = value; }
        }

        public int FrequencyCorrection
        {
            get { return _frequencyCorrection; }
            set { _frequencyCorrection = value; }
        }

        public long Frequency
        {
            get { return _frequency; }
            set { _frequency = value; }
        }

        public int PictureHeight
        {
            get { return _pictureHeight; }
            set { _pictureHeight = value; }
        }

        public float DetectorLevel
        {
            get { return _detectorLevel; }
            set { _detectorLevel = value; }
        }

        public int Contrast
        {
            get { return _contrast; }
            set { _contrast = value; }
        }

    }
              
}
